## org.apache.catalina.ant
Class JMXSetTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.catalina.ant.AbstractCatalinaTask
                  org.apache.catalina.ant.JMXSetTask

public class JMXSetTask
extends AbstractCatalinaTask

Ant task that implements the JMX Set command (`/jmxproxy/?set`) supported by the Tomcat manager application.

Version:
  $Revision: 1.4 $
Author:
  Vivek Chopra

Field Summary
`protected java.lang.String` `attribute` The attribute you wish to alter
`protected java.lang.String` `bean` The full bean name
`protected java.lang.String` `value` The new value for the attribute

Fields inherited from class org.apache.catalina.ant.AbstractCatalinaTask
`password, url, username`

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`JMXSetTask()`

Method Summary
`void` `execute()` Execute the requested operation.
`java.lang.String` `getAttribute()` Get method for the attribute name
`java.lang.String` `getBean()` Get method for the bean name
`java.lang.String` `getValue()` Get method for the attribute value
`void` `setAttribute(java.lang.String attribute)` Set method for the attribute name
`void` `setBean(java.lang.String bean)` Set method for the bean name
`void` `setValue(java.lang.String value)` Set method for the attribute value.

Methods inherited from class org.apache.catalina.ant.AbstractCatalinaTask
`execute, execute, getPassword, getUrl, getUsername, setPassword, setUrl, setUsername`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### bean

    protected java.lang.String bean

  The full bean name

### attribute

    protected java.lang.String attribute

  The attribute you wish to alter

### value

    protected java.lang.String value

  The new value for the attribute

Constructor Detail

### JMXSetTask

    public JMXSetTask()

Method Detail

### getBean

    public java.lang.String getBean()

  Get method for the bean name

  Returns:
    Bean name

### setBean

    public void setBean(java.lang.String bean)

  Set method for the bean name

  Parameters:
    `bean` - Bean name

### getAttribute

    public java.lang.String getAttribute()

  Get method for the attribute name

  Returns:
    Attribute name

### setAttribute

    public void setAttribute(java.lang.String attribute)

  Set method for the attribute name

  Parameters:
    `attribute` - Attribute name

### getValue

    public java.lang.String getValue()

  Get method for the attribute value

  Returns:
    Attribute value

### setValue

    public void setValue(java.lang.String value)

  Set method for the attribute value.

  Parameters:
    `value` - Attribute value

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Execute the requested operation.

  Overrides:
    `execute` in class `AbstractCatalinaTask`
  Throws:
    `org.apache.tools.ant.BuildException` - if an error occurs

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.